<?xml version='1.0'?>

<xsl:stylesheet version="2.0"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:fn="http://www.w3.org/2005/xpath-functions"
    xmlns:csc="http://csclub.uwaterloo.ca/xslt">

<xsl:param name="g_date" required="yes" />
<xsl:param name="g_time" required="yes" />
<xsl:param name="g_pwd" required="yes" />
<xsl:param name="g_root" required="yes" />

<!--

  Set global "pre" variable based on /cscpage/@pre, which represents the 
  relative path needed to get to the root. If you do not include a "pre" 
  attribute on cscpage then the "pre" attribute will default to "../".

-->
<xsl:variable name="pre">
 <xsl:choose>
  <xsl:when test="/cscpage/@pre"><xsl:value-of select="/cscpage/@pre" /></xsl:when>
  <xsl:otherwise>../</xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<!-- mirror variables -->
<xsl:variable name="mirror_csc">http://csclub.uwaterloo.ca/files/</xsl:variable>
<xsl:variable name="mirror_cs">http://mirror.cs.uwaterloo.ca/csclub/</xsl:variable>

<xsl:output method="xml" encoding="ISO-8859-1" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />

<!-- include additional style sheets -->
<xsl:include href="./xsl/functions.xsl" />
<xsl:include href="./xsl/common.xsl" />
<xsl:include href="./xsl/directory.xsl" />
<xsl:include href="./xsl/menu.xsl" />
<xsl:include href="./xsl/exec.xsl" />
<xsl:include href="./xsl/members.xsl" />
<xsl:include href="./xsl/events.xsl" />
<xsl:include href="./xsl/news.xsl" />
<xsl:include href="./xsl/media.xsl" />

<xsl:template match="*">
  <xsl:copy>
    <xsl:copy-of select="@*" />
    <xsl:apply-templates />
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>
